<template>
    <div class="section-title">
        <div class="section-title__caption">
            <h2 :class="['section-title__title', {'section-title__title--dots': dots}]" v-html="title"></h2>
            <p class="section-title__text" v-if="text">{{ text }} <template v-if="windowWidth < 992"><a class="section-title__button-mobile" :href="button.button.url" v-for="(button, index) of buttons" :key="index">{{ button.button.title + " "}}</a></template></p>
        </div>
        <div class="section-title__buttons" v-if="buttons && windowWidth >= 992">
            <a :href="button.link.url" :class="['button', 'button--' + button.color]" v-for="(button, index) of buttons" :key="index">{{ button.link.title }}</a>
        </div>
    </div>
</template>

<script>
export default {
    props: {
        title: {
            type: String,
            default: null
        },
        text: {
            type: String,
            default: null
        },
        buttons: {
            type: Array | Boolean,
            default: null
        },
        dots: {
            type: Boolean,
            default: false
        }
    },
    data() {
        return {
            windowWidth: this.getWindowWidth()
        }
    },
    mounted () {
        this.$nextTick(() => {
            window.addEventListener('resize', () => {
                this.windowWidth = this.getWindowWidth();
            });
        })
    },
    methods: {
        getWindowWidth () {
            return window.innerWidth;
        }
    }
}
</script>